# Iconos

Los iconos que aparecen en el site están incluidos como una fuente iconográfica.

## Cómo previsualizar

En el storybook, en el apartado [Icons](http://localhost:6006/?path=/story/icons--listado) tenemos los iconos disponibles y sus clases asociadas.

## Cómo usar un icono

### 1. En el HTML utilizando clases

**Es la opción recomendada.** En el fichero `src/styles/icons/_icons.scss` tenemos el listado de clases disponibles por cada icono.

### 2. En el SCSS utilizando un mixin

También tenemos la posibilidad de utilizar el mixin `icon` definido en el fichero `src/styles/mixins/_icons.scss`.


## Cómo añadir un nuevo icono

1. Ir a la app web de [Icomoon](https://icomoon.io/app/#/select)

2. Click en `Import Icons` y seleccionar el fichero `src/assets/fonts/selection.json`

![Captura de Import Icons](./images/ss-import-icons.png)

3. Añadir el icono necesario utilizando la opción de `Import to Set`

![Captura de Import to Set](./images/ss-import-to-set.png)

4. El icono deberá estar normalizado siguiendo las guías de la nueva marca. Si no lo estuviera, se podría editar en Icomoon y habría que:
- Quitar color
- Hacerlo cuadrado
- Centrarlo dejando un margen de 2px por cada lado

5. Descargar la fuente. Asegurarse que tienecon la siguiente configuración:

![Captura la configuración de descarga](./images/ss-download-config.png)

6. Descomprimir la descarga y actualizar los siguientes ficheros de la carpeta `src/assets/fonts/`:
- selection.json
- todos los ficheros de la fuente icon.*

  Modificar lo siguiente:
- Añadir las nuevas variables scss en el fichero `src/styles/variables/_icons.scss`
- Añadir las nuevas clases en el fichero `src/styles/icons/_icons.scss`
- Actualizar el font-face con el nuevo hash del fichero en el fichero `src/styles/storybook/_fonts.scss`

7. Actualizar la vista de la story de iconografía para previsualizar los nuevos iconos en el fichero `src/icons/icons/icons.html`.
