# Publicar una nueva versión

## Actualización

Una vez tengamos mergeada en `master` una nueva versión de nuestra librería, nos decargamos y actualizamos nuestro `master` en local mediante lo siguientes comandos:

```sh
git checkout master
git fetch
git rebase
```

Una vez hecho esto, procederemos a actualizar el fichero [CHANGELOG.md](../CHANGELOG.md) poniendo la fecha y el número de versión siguiendo el versionado semántico descrito en el siguiente punto. La descripción de cambios se habrá ido completando en cada pull request.
Una vez ajustada la versión y la fecha, hacemos un commit.

```sh
git add CHANGELOG.md
git commit -m "Update CHANGELOG for version x.x.x"
```

## Versionado

Generaremos una nueva versión siguiendo el [versionado semántico](https://semver.org/lang/es/) con la versión que corresponda.

Si nuestros cambios rompen la compatibilidad hacia atrás, subiremos una versión _major_ (vX.0.0):

```sh
npm version major
```

Si los cambios añaden más funcionalidad sin romper compatibilidad, subiremos una versión _minor_ (v0.X.0):

```sh
npm version minor
```

Si por el contrario, hemos solucionado un bug, subiremos una versión _patch_ (v0.0.X):

```sh
npm version patch
```

## Publicación

Una vez actualizada la versión, la documentación y generado el tag, subiremos nuestro cambios y tendremos los cambios disponibles:

```sh
git push origin master --follow-tags
```

A continuación, publicaremos la nueva versión en npm. Para ello nos logamos utilizando las credenciales del usuario `repsol-digital-system`. Si no dispones de las credenciales, ponte en contacto con developers@repsol.com.

```sh
npm login
npm whoami # $ repsol-digital-system
npm publish --access public
```

Y listo. Eso es todo :)
