# Migración a versión 0.2.1

## Migración de "Primitivas" a "Foundations"

En la nueva versión se deja de utilizar la palabra primitivas para referirse al conjunto de estilos base: colores, tipografía, espaciados, elevation y grid. Los iconos salen de esta categoría y pasan a tener su propia entidad (ver apartado **Migración de iconos**).
Esto supone un cambio a la hora de importar sus estilos de la librería.
En lugar de `rds-primitives.scss` para importar estos estilos base debemos ahora utilizar el fichero `rds-foundations.scss`. Este cambio no afecta a aquellos usuarios que estén importando la librería de manera global con `rds-core.scss`.
```
rds-primitives.scss --> rds-foundations.scss & rds-icons.scss
```

## Migración de colores

En la versión 0.2.1, se introducen cambios en la paleta de colores y se introducen los color tokens. Como consecuencia, cambia la nomenclatura de las variables SCSS de colores.

Esta guía es una ayuda acerca de qué variables de colores desaparecerán en futuras versiones y qué variables de colores, a pesar de mantener su nombre, cambian su valor hexadecimal.

### Variables que desaparecerán

En la versión 0.3.0, las antiguas variables de colores dejan de estar disponibles y es necesaria una actualización del uso de las variables.
Se indican a continuación las variables que desaparecen y su nueva equivalencia.
Se recomienda aplicar este cambio ya en la versión 0.2.1.

| Variable SCSS en v0.2.0 | Sustituir por |
| - | - |
| `$c-orange-200` | `$c-orange-30` |
| `$c-orange-400` | `$c-orange-60` |
| `$c-orange-600` | `$c-orange-70` |
| `$c-turquoise-200` | `$c-turquoise-30` |
| `$c-turquoise-400` | `$c-turquoise-60` |
| `$c-turquoise-600` | `$c-turquoise-80` |
| `$c-turquoise-800` | `$c-turquoise-90` |
| `$c-yellow-200`  | `$c-yellow-20` |
| `$c-yellow-400`  | `$c-yellow-50` |
| `$c-yellow`  | `$c-yellow-60` |
| `$c-blue-200`  | `$c-blue-30` |
| `$c-blue-400`  | `$c-blue-80` |
| `$c-blue`  | `$c-blue-100` |
| `$c-grey-200` | `$c-grey-20` |
| `$c-grey-300` | `$c-grey-30` |
| `$c-grey-500` | `$c-grey-50` |
| `$c-grey-600` | `$c-grey-60` |
| `$c-grey-700` | `$c-grey-70` |
| `$c-burgundy-200` | `$c-burgundy-20` |
| `$c-burgundy-400` | `$c-burgundy-70` |
| `$c-purple-200` | `$c-purple-20` |
| `$c-purple-400` | `$c-purple-60` |
| `$c-attention-original` | `$rds-c-semantic-warning` |
| `$c-attention-bulk` | `$rds-c-semantic-background-warning` |
| `$c-attention-stroke` |  `$rds-c-semantic-border-warning` |
| `$c-confirmation-original` | `$rds-c-semantic-success` |
| `$c-confirmation-bulk` | `$rds-c-semantic-background-success` |
| `$c-confirmation-stroke` | `$rds-c-semantic-border-success` |
| `$c-error-original` | `$rds-c-semantic-error` |
| `$c-error-bulk` | `$rds-c-semantic-background-error` |
| `$c-error-stroke` | `$rds-c-semantic-border-error` |
| `$c-notification-original` | `$rds-c-semantic-notification` |
| `$c-notification-bulk` | `$rds-c-semantic-background-notification` |
| `$c-notification-stroke` | `$rds-c-semantic-border-notification` |

### Variables que sufren cambios

En esta versión, hay variables de colores que se mantienen pero su valor hexadecimal cambia ligeramente.
A modo informativo, se muestran a continuación las variables SCSS que sufren cambios de valor.

<style>
  .color {
    display: inline-block;
    width: 10px; height: 10px;
  }
</style>

| Variable SCSS | Valor en v0.2.0 |  Valor en v0.2.1 |
| - | - | - | - |
| `$c-orange-pb-01` | <span class="color" style="background-color: #ffcd99;"></span> `#ffcd99` | <span class="color" style="background-color: #ffcb96;"></span> `#ffcb96` |
| `$c-turquoise-pb-01` | <span class="color" style="background-color: #99dee7;"></span> `#99dee7` | <span class="color" style="background-color: #92d9e2;"></span> `#92d9e2` |
| `$c-turquoise-pb-02` | <span class="color" style="background-color: #66cddb;"></span> `#66cddb` | <span class="color" style="background-color: #52cfe0;"></span> `#52cfe0` |
| `$c-turquoise-pb-03` | <span class="color" style="background-color: #33bdcf;"></span> `#33bdcf` | <span class="color" style="background-color: #1fc1d6;"></span> `#1fc1d6` |
| `$c-turquoise-pb-04` | <span class="color" style="background-color: #008192;"></span> `#008192` | <span class="color" style="background-color: #00809a;"></span> `#00809a` |
| `$c-turquoise-pb-05` | <span class="color" style="background-color: #005661;"></span> `#005661` | <span class="color" style="background-color: #006c83;"></span> `#006c83` |
| `$c-yellow-pb-04` | <span class="color" style="background-color: #bf9500;"></span> `#bf9500` | <span class="color" style="background-color: #bd9400;"></span> `#bd9400` |
| `$c-yellow-pb-05` | <span class="color" style="background-color: #7f6300;"></span> `#7f6300` | <span class="color" style="background-color: #806400;"></span> `#806400` |
| `$c-blue-pb-02` | <span class="color" style="background-color: #6693ba;"></span> `#6693ba` | <span class="color" style="background-color: #6492b9;"></span> `#6492b9` |
| `$c-blue-pb-03` | <span class="color" style="background-color: #336fa3;"></span> `#336fa3` | <span class="color" style="background-color: #2b70ab;"></span> `#2b70ab` |
| `$c-blue-pb-04` | <span class="color" style="background-color: #003868;"></span> `#003868` | <span class="color" style="background-color: #003766;"></span> `#003766` |
| `$c-blue-pb-05` | <span class="color" style="background-color: #002545;"></span> `#002545` | <span class="color" style="background-color: #041e42;"></span> `#041e42` |
| `$c-burgundy-pb-01` | <span class="color" style="background-color: #e1a9bc;"></span> `#e1a9bc` | <span class="color" style="background-color: #e7a1b9;"></span> `#e7a1b9` |
| `$c-orange-secuential-01` | <span class="color" style="background-color: #fff0e1;"></span> `#fff0e1` | <span class="color" style="background-color: #fff0e0;"></span> `#fff0e0` |
| `$c-orange-secuential-03` | <span class="color" style="background-color: #ffa74b;"></span> `#ffa74b` | <span class="color" style="background-color: #ff9b33;"></span> `#ff9b33` |
| `$c-orange-secuential-05` | <span class="color" style="background-color: #ec5700;"></span> `#ec5700` | <span class="color" style="background-color: #ff6200;"></span> `#ff6200` |
| `$c-turquoise-secuential-01` | <span class="color" style="background-color: #e1f3f6;"></span> `#e1f3f6` | <span class="color" style="background-color: #dff3f6;"></span> `#dff3f6` |
| `$c-turquoise-secuential-02` | <span class="color" style="background-color: #96e2ec;"></span> `#96e2ec` | <span class="color" style="background-color: #92d9e2;"></span> `#92d9e2` |
| `$c-turquoise-secuential-03` | <span class="color" style="background-color: #4bd2e1;"></span> `#4bd2e1` | <span class="color" style="background-color: #52cfe0;"></span> `#52cfe0` |
| `$c-turquoise-secuential-04` | <span class="color" style="background-color: #00c1d7;"></span> `#00c1d7` | <span class="color" style="background-color: #1fc1d6;"></span> `#1fc1d6` |
| `$c-turquoise-secuential-06` | <span class="color" style="background-color: #0096ae;"></span> `#0096ae` | <span class="color" style="background-color: #0096ad;"></span> `#0096ad` |
| `$c-orange-divergent-01` | <span class="color" style="background-color: #ffa74b;"></span> `#ffa74b` | <span class="color" style="background-color: #ff9b33;"></span> `#ff9b33` |
| `$c-orange-divergent-02` | <span class="color" style="background-color: #ec5700;"></span> `#ec5700` | <span class="color" style="background-color: #ff6200;"></span> `#ff6200` |
| `$c-turquoise-divergent-01` | <span class="color" style="background-color: #4bd2e1;"></span> `#4bd2e1` | <span class="color" style="background-color: #52cfe0;"></span> `#52cfe0` |
| `$c-turquoise-divergent-02` | <span class="color" style="background-color: #00abc3;"></span> `#00abc3` | <span class="color" style="background-color: #00adc3;"></span> `#00adc3` |
| `$c-attention-original` | <span class="color" style="background-color: #ffb81c;"></span> `#ffb81c` |<span class="color" style="background-color: #ffc800;"></span> `#ffc800` |
| `$c-attention-bulk` | <span class="color" style="background-color: #fff1d2;"></span> `#fff1d2` |<span class="color" style="background-color: #fff7db;"></span> `#fff7db` |
| `$c-attention-stroke` | <span class="color" style="background-color: #ffcb14;"></span> `#ffcb14` | <span class="color" style="background-color: #ffc800;"></span> `#ffc800` |


## Migración de componente Link

El componente Link pasa a tener más posibilidades: solo texto, con flecha (detrás del texto) o con icono (antes del texto).
Actualmente, el elemento con clase `.rds-link__icon` se utilizaba de manera genérica para indicar un posible icono siempre detrás del texto. Ahora solo se permite el icono Arrow detrás del texto y ese elemento pasa a utilizar la clase `.rds-link__arrow`.
La clase `.rds-link__icon` pasa a utilizarse para los iconos que van delante del texto.

## Migración de iconos

Los iconos sufren dos grandes cambios.

### Nuevo fichero scss propio

Los iconos dejan de importarse junto con las primitivas y pasan a tener su propio fichero .scss que se puede importar por separado llamado `rds-icons.scss`.

### Cambios en nombres

Se cambia el nombre de los siguientes iconos:

| Nombre antiguo | Nuevo nombre |
| - | - |
|`Filter`|`List`|
|`Mobile_02`|`Mobile_01`|
|`Mobile`|`Mobile_02`|
