const _ = require('lodash');

module.exports = {
  // Get current library version from command line
  // for naming the ouput folder
  currentVersion: require('child_process').execSync('git describe --abbrev=0').toString().trim(),
  // Getting all .scss and all .js entry point files
  // They all should be in the folder src/styles or src/javascripts and start with rds-
  entries: function() {
    const fs = require('fs')
    const entryJs = {}
    const entryCss = {}

    function customizer(objValue, srcValue) {
      if (_.isArray(objValue)) {
        return objValue.concat(srcValue);
      }
    }

    // Javascript
    entryJs['rds-core'] = ['./src/index.js']

    // Styles
    fs.readdirSync('./src/styles/').filter(function(file) {
      return file.match(/rds-.*\.scss$/)
    })
    .forEach(f => {
      entryCss[f.replace(/\.scss$/, '')] = ['./src/styles/' + f]
    })

    const entryMap = _.mergeWith(entryJs, entryCss, customizer);

    return entryMap;
  }
}
